Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

When I tried to upgrade my Ubuntu 12.10:

The operation failed

E:GPG error: http://az-1.hpcloud.mirror.websitedevops.com quantal Release: The following signatures were invalid: NODATA 1 NODATA 2

What's the solution? I need this upgrade.

share|improve this question
    
See if this answer helps: askubuntu.com/a/64544/114818 –  Aditya Jul 4 '13 at 14:26

1 Answer 1

I have the similar error while using do-release-upgrade and having apt-cacher entries in my source.list. (Mine just disoplayed my apt-chacher address http://192.168.150.9 in place of the mirror address above)

I removed the apt-cacher entries from me /etc/apt/source.list and tried to run the upgrade again and this time it didn't give an error.

Still looking for a solution to use apt-cacher to do the upgrade though.

EDIT: I was editing my source.list adding the apt-cacher entries manually to the start of each line, but I found it I add this line to my /etc/ap/apt.conf file

Acquire::http { Proxy "http://192.168.150.9:3142"; };

the actual address that is giving the GPG error is displayed now.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.